<?php
/**
 * sagepaynow.php
 *
 * Lanugage defines for Sage Pay Now payment module
 *
 */

define( 'MODULE_PAYMENT_SAGEPAYNOW_TEXT_ADMIN_TITLE', 'SagePayNow' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_TEXT_CATALOG_TITLE', 'SagePayNow' );

if( IS_ADMIN_FLAG === true )
    define( 'MODULE_PAYMENT_SAGEPAYNOW_TEXT_DESCRIPTION',
        '<strong>Sage Pay Now</strong><br />'.
        '<a href="https://www.sagepay.co.za/" target="_blank">'.
        'Manage your Sage Pay Now account.</a><br /><br />'.
        '<font color="green">Configuration Instructions:</font><br />'.
        '<ol style="padding-left: 20px;">'.
        '<li><a href="http://www.sagepay.co.za/" target="_blank">Register for a Sage Pay Now account.</a></li>'.
        '<li>Click "install" above to enable Sage Pay Now support and "edit" to tell Zen Cart your Sage Pay Now settings</li>'.
        '</ol>'.
        '<font color="green"><hr /><strong>Requirements:</strong></font><br /><hr />'.
        '*<strong>*<strong>Port 80</strong> is used for bidirectional communication with the gateway, so must be open on your host\'s router/firewall<br />'.
        '*<strong>PHP allow_url_fopen</strong> must be enabled<br />'.
        '*<strong>Settings</strong> must be configured as described above.' );
else
    define( 'MODULE_PAYMENT_SAGEPAYNOW_TEXT_DESCRIPTION', '<strong>Sage Pay Now</strong>');

define( 'MODULE_PAYMENT_SAGEPAYNOW_BUTTON_IMG', DIR_WS_IMAGES .'sagepaynow/logo_small.jpg' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_BUTTON_ALT', 'Checkout with Sage Pay Now' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ACCEPTANCE_MARK_TEXT', 'Credit Card - Maximum transaction limit of R15 000. Please use Pay Pal if your purchase exceeeds this amount. Secure SagePay purchase confirming to <a href="http://www.visa.co.za/za/en-us/personal/security/onlineshopping.shtml" target="_blank"> Verified by Visa</a> ,<a href="http://www.mastercard.us/securecode-sign-up.html" target="_blank"> Mastercard Securecode </a> and <a href="https://mail.google.com/mail/?tab=wm#inbox/1463c898a237f205" target="_blank"> 3D Secure </a> online security platforms. Follow the links provided, or contact your bank to register your card in the programs, if you have not already done so previously. If your card is rejected, please try another card, or revert to the Pay Pal option. Transactions are processed in South African Rands once referred to the secure gateway, but will appear on your statement in your home currency. Please do not click on back buttons once the checkout process begins as this can disrupt checkout.' );

define( 'MODULE_PAYMENT_SAGEPAYNOW_TEXT_CATALOG_LOGO',
    '<a href="http://www.sagepay.co.za" style="border: 0;" target="_blank">'.
    '<img src="'. MODULE_PAYMENT_SAGEPAYNOW_BUTTON_IMG .'"'.
    ' alt="'. MODULE_PAYMENT_SAGEPAYNOW_BUTTON_ALT .'"'.
    ' title="' . MODULE_PAYMENT_SAGEPAYNOW_BUTTON_ALT .'"'.
    ' style="vertical-align: text-bottom; border: 0px;" border="0"/></a>&nbsp;'.
    '<span class="smallText">' . MODULE_PAYMENT_SAGEPAYNOW_ACCEPTANCE_MARK_TEXT . '</span>' );

define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_FIRST_NAME', 'First Name:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_LAST_NAME', 'Last Name:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_BUSINESS_NAME', 'Business Name:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_NAME', 'Address Name:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_STREET', 'Address Street:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_CITY', 'Address City:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_STATE', 'Address State:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_ZIP', 'Address Zip:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_COUNTRY', 'Address Country:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_EMAIL_ADDRESS', 'Payer Email:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_EBAY_ID', 'Ebay ID:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PAYER_ID', 'Payer ID:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PAYER_STATUS', 'Payer Status:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_ADDRESS_STATUS', 'Address Status:' );

define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PAYMENT_TYPE', 'Payment Type:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PAYMENT_STATUS', 'Payment Status:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PENDING_REASON', 'Pending Reason:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_INVOICE', 'Invoice:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PAYMENT_DATE', 'Payment Date:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_CURRENCY', 'Currency:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_GROSS_AMOUNT', 'Gross Amount:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PAYMENT_FEE', 'Payment Fee:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_CART_ITEMS', 'Cart items:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_TXN_TYPE', 'Trans. Type:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_TXN_ID', 'Trans. ID:' );
define( 'MODULE_PAYMENT_SAGEPAYNOW_ENTRY_PARENT_TXN_ID', 'Parent Trans. ID:' );

define( 'MODULE_PAYMENT_SAGEPAYNOW_PURCHASE_DESCRIPTION_TITLE', STORE_NAME .' purchase, Order #' );
?>